package com.ruoyi.learn.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.learn.mapper.LearnCultureKnowledgeMapper;
import com.ruoyi.learn.domain.LearnCultureKnowledge;
import com.ruoyi.learn.service.ILearnCultureKnowledgeService;

/**
 * 文化知识点关系Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-02
 */
@Service
public class LearnCultureKnowledgeServiceImpl implements ILearnCultureKnowledgeService 
{
    @Autowired
    private LearnCultureKnowledgeMapper learnCultureKnowledgeMapper;

    /**
     * 查询文化知识点关系
     * 
     * @param id 文化知识点关系主键
     * @return 文化知识点关系
     */
    @Override
    public LearnCultureKnowledge selectLearnCultureKnowledgeById(Long id)
    {
        return learnCultureKnowledgeMapper.selectLearnCultureKnowledgeById(id);
    }

    /**
     * 查询文化知识点关系列表
     * 
     * @param learnCultureKnowledge 文化知识点关系
     * @return 文化知识点关系
     */
    @Override
    public List<LearnCultureKnowledge> selectLearnCultureKnowledgeList(LearnCultureKnowledge learnCultureKnowledge)
    {
        return learnCultureKnowledgeMapper.selectLearnCultureKnowledgeList(learnCultureKnowledge);
    }

    /**
     * 新增文化知识点关系
     * 
     * @param learnCultureKnowledge 文化知识点关系
     * @return 结果
     */
    @Override
    public int insertLearnCultureKnowledge(LearnCultureKnowledge learnCultureKnowledge)
    {
        return learnCultureKnowledgeMapper.insertLearnCultureKnowledge(learnCultureKnowledge);
    }

    /**
     * 修改文化知识点关系
     * 
     * @param learnCultureKnowledge 文化知识点关系
     * @return 结果
     */
    @Override
    public int updateLearnCultureKnowledge(LearnCultureKnowledge learnCultureKnowledge)
    {
        return learnCultureKnowledgeMapper.updateLearnCultureKnowledge(learnCultureKnowledge);
    }

    /**
     * 批量删除文化知识点关系
     * 
     * @param ids 需要删除的文化知识点关系主键
     * @return 结果
     */
    @Override
    public int deleteLearnCultureKnowledgeByIds(Long[] ids)
    {
        return learnCultureKnowledgeMapper.deleteLearnCultureKnowledgeByIds(ids);
    }

    /**
     * 删除文化知识点关系信息
     * 
     * @param id 文化知识点关系主键
     * @return 结果
     */
    @Override
    public int deleteLearnCultureKnowledgeById(Long id)
    {
        return learnCultureKnowledgeMapper.deleteLearnCultureKnowledgeById(id);
    }
}
